# Method: projects.locations.datasets.exportData

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#body.aspect)
- [DatasetOutputConfig](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#DatasetOutputConfig)
  - [JSON representation](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#DatasetOutputConfig.SCHEMA_REPRESENTATION)
- [GcsOutputDestination](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#GcsOutputDestination)
  - [JSON representation](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#GcsOutputDestination.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#try-it)

Exports dataset's data to the provided output location.

### HTTP request

`POST https://translate.googleapis.com/v3/{dataset=projects/*/locations/*/datasets/*}:exportData`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `dataset` | `string` Required. Name of the dataset. In form of `projects/{project-number-or-id}/locations/{location-id}/datasets/{dataset-id}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "outputConfig": { object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#DatasetOutputConfig`) } } ``` |

| Fields ||
|---|---|
| `outputConfig` | ``object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#DatasetOutputConfig`)`` Required. The config for the output content. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-translation`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## DatasetOutputConfig

Output configuration for datasets.

| JSON representation |
|---|
| ``` { // Union field `destination` can be only one of the following: "gcsDestination": { object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#GcsOutputDestination`) } // End of list of possible types for union field `destination`. } ``` |

| Fields ||
|---|---|
| Union field `destination`. Required. Specify the output. `destination` can be only one of the following: ||
| `gcsDestination` | ``object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.datasets/exportData#GcsOutputDestination`)`` Google Cloud Storage destination to write the output. |

## GcsOutputDestination

The Google Cloud Storage location for the output content.

| JSON representation |
|---|
| ``` { "outputUriPrefix": string } ``` |

| Fields ||
|---|---|
| `outputUriPrefix` | `string` Required. Google Cloud Storage URI to output directory. For example, `gs://bucket/directory`. The requesting user must have write permission to the bucket. The directory will be created if it doesn't exist. |